/* vi:expandtab:ts=4:sw=4:cindent:tw=80:cinoptions=(0,u0,t0
 *
 * PAF Animation Framework - Interpolation - key values
 *
 * Copyright © 2008 Fluendo Embedded S.L.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author(s): Guillaume Emont <guillaume@fluendo.com>
 */

#include "pafkeyvalue.h"

GType
paf_key_value_get_type (void)
{
    static GType our_type = 0;

    if (G_UNLIKELY (!our_type))
        our_type =
            g_boxed_type_register_static ("PafKeyValue",
                                          (GBoxedCopyFunc) paf_key_value_copy,
                                          (GBoxedFreeFunc) paf_key_value_free);

    return our_type;
}

PafKeyValue *
paf_key_value_new (gfloat fraction,
                   GValue *value,
                   gpointer options)
{
    return NULL;
}

PafKeyValue *
paf_key_value_copy (PafKeyValue *value)
{
    return NULL;
}

void
paf_key_value_free (PafKeyValue *value)
{
}

