/* vi:expandtab:ts=4:sw=4:cindent:tw=80:cinoptions=(0,u0,t0
 *
 * PAF Animation Framework - Transformation
 *
 * Copyright © 2008 Fluendo Embedded S.L.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author(s): Guillaume Emont <guillaume@fluendo.com>
 */

/* SECTION:paftransformation
 * @short_description: FIXME
 * @see_also: #PafModifier, #PafClock, #PafInterpolation, #PafAnimation.
 *
 * <refsect2>
 * FIXME
 * </refsect2>
 */

#include "paftransformation.h"


G_DEFINE_ABSTRACT_TYPE (PafTransformation, paf_transformation, G_TYPE_OBJECT);

#define PAF_TRANSFORMATION_GET_PRIVATE(o)\
    (G_TYPE_INSTANCE_GET_PRIVATE ((o), PAF_TYPE_TRANSFORMATION, PafTransformationPrivate))

struct _PafTransformationPrivate {
};


static void
paf_transformation_dispose (PafTransformation *self)
{
}

static void
paf_transformation_finalize (PafTransformation *self)
{
}

static void
paf_transformation_init (PafTransformation *self)
{
    /* nothing in private for now */
/*    PafTransformationPrivate *priv;

    priv = PAF_TRANSFORMATION_GET_PRIVATE (self);
    */
}

static void
paf_transformation_class_init (PafTransformationClass *self_class)
{
    GObjectClass *object_class = G_OBJECT_CLASS (self_class);

    /* nothing in private for now */
    /*
    g_type_class_add_private (self_class, sizeof (PafTransformationPrivate));
    */
    object_class->dispose = (void (*) (GObject *object)) paf_transformation_dispose;
    object_class->finalize = (void (*) (GObject *object)) paf_transformation_finalize;
}


gboolean
paf_transformation_add_modifier (PafTransformation *transformation,
                                 PafModifier *modifier)
{
    return FALSE;
}

gboolean
paf_transformation_remove_modifier (PafTransformation *transformation,
                                    PafModifier *modifier)
{
    return FALSE;
}

gboolean
paf_transformation_has_modifier (PafTransformation *transformation,
                                 const PafModifier *modifier)
{
    return FALSE;
}

gboolean
paf_transformation_update (PafTransformation *transformation,
                           gfloat fraction)
{
    return FALSE;
}

void
paf_transformation_set_trigger (PafTransformation *transformation,
                                PafConditionFunc *condition,
                                gpointer user_data,
                                GCallback callback)
{
}

